;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: DelSigPlus.inc
;;   Version: 1.0, Updated on 2012/9/21 at 11:58:50
;;
;;  DESCRIPTION: Assembler declarations for the Delta-Sigma A/D Converter
;;               with a 2nd-order modulator and based on a type 2 decimator.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"

;--------------------------------------------------
; Constants for DelSigPlus API's.
;--------------------------------------------------
DelSigPlus_INT_REG:                equ  0e0h
DelSigPlus_INT_MASK:               equ  04h    ; Interrupt mask

DelSigPlus_OFF:                    equ  0
DelSigPlus_LOWPOWER:               equ  1
DelSigPlus_MEDPOWER:               equ  2
DelSigPlus_HIGHPOWER:              equ  3

DelSigPlus_DATA_READY_BIT:         equ  10h
DelSigPlus_2S_COMPLEMENT:          equ  1

;--------------------------------------------------
; Register Address Constants for DelSigPlus
;--------------------------------------------------
DelSigPlus_AtoD1cr0:               equ 0x84    ; SC Block 1 Control Reg 0
DelSigPlus_AtoD1cr1:               equ 0x85    ; SC Block 1 Control Reg 1
DelSigPlus_AtoD1cr2:               equ 0x86    ; SC Block 1 Control Reg 2
DelSigPlus_AtoD1cr3:               equ 0x87    ; SC Block 1 Control Reg 3
DelSigPlus_AtoD2cr0:               equ 0x94    ; SC Block 2 Control Reg 0
DelSigPlus_AtoD2cr1:               equ 0x95    ; SC Block 2 Control Reg 1
DelSigPlus_AtoD2cr2:               equ 0x96    ; SC Block 2 Control Reg 2
DelSigPlus_AtoD2cr3:               equ 0x97    ; SC Block 2 Control Reg 3

DelSigPlus_DEC_DL:                           equ 0xa3                                  ; Decimator Low Data Reg
DelSigPlus_DEC_DH:                           equ 0xa2                                  ; Decimator High Data Reg

; end of file DelSigPlus.inc
