//*****************************************************************************
//*****************************************************************************
//  FILENAME: DelSigPlus.h
//   Version: 1.0, Updated on 2012/9/21 at 11:58:50
//
//  DESCRIPTION:  C declarations for the DelSig User Module with a 2nd-order
//                modulator based on a type-2 dcecimator
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef DelSigPlus_INCLUDE
#define DelSigPlus_INCLUDE

#include <m8c.h>

#pragma fastcall16 DelSigPlus_Start
#pragma fastcall16 DelSigPlus_SetPower
#pragma fastcall16 DelSigPlus_StartAD
#pragma fastcall16 DelSigPlus_StopAD
#pragma fastcall16 DelSigPlus_Stop
#pragma fastcall16 DelSigPlus_fIsDataAvailable
#pragma fastcall16 DelSigPlus_iGetData
#pragma fastcall16 DelSigPlus_wGetData
#pragma fastcall16 DelSigPlus_iGetDataClearFlag
#pragma fastcall16 DelSigPlus_wGetDataClearFlag
#pragma fastcall16 DelSigPlus_ClearFlag

//-------------------------------------------------
// Prototypes of the DelSigPlus API.
//-------------------------------------------------
extern void DelSigPlus_Start(BYTE bPower);
extern void DelSigPlus_SetPower(BYTE bPower);
extern void DelSigPlus_StartAD(void);
extern void DelSigPlus_StopAD(void);
extern void DelSigPlus_Stop(void);
extern BOOL DelSigPlus_fIsDataAvailable(void);
extern INT  DelSigPlus_iGetData(void);
extern WORD DelSigPlus_wGetData(void);
extern INT  DelSigPlus_iGetDataClearFlag(void);
extern WORD DelSigPlus_wGetDataClearFlag(void);
extern void DelSigPlus_ClearFlag(void);

//-------------------------------------------------
// Defines for DelSigPlus API's.
//-------------------------------------------------
#define DelSigPlus_OFF                     (0)
#define DelSigPlus_LOWPOWER                (1)
#define DelSigPlus_MEDPOWER                (2)
#define DelSigPlus_HIGHPOWER               (3)

#define DelSigPlus_DATA_READY_BIT          (0x10)
#define DelSigPlus_2S_COMPLEMENT           (1)

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------
#pragma ioport  DelSigPlus_AtoD1cr0:    0x084              //Analog block 1 control register 0
BYTE            DelSigPlus_AtoD1cr0;
#pragma ioport  DelSigPlus_AtoD1cr1:    0x085              //Analog block 1 control register 1
BYTE            DelSigPlus_AtoD1cr1;
#pragma ioport  DelSigPlus_AtoD1cr2:    0x086              //Analog block 1 control register 2
BYTE            DelSigPlus_AtoD1cr2;
#pragma ioport  DelSigPlus_AtoD1cr3:    0x087              //Analog block 1 control register 3
BYTE            DelSigPlus_AtoD1cr3;
#pragma ioport  DelSigPlus_AtoD2cr0:    0x094              //Analog block 2 control register 0
BYTE            DelSigPlus_AtoD2cr0;
#pragma ioport  DelSigPlus_AtoD2cr1:    0x095              //Analog block 2 control register 1
BYTE            DelSigPlus_AtoD2cr1;
#pragma ioport  DelSigPlus_AtoD2cr2:    0x096              //Analog block 2 control register 2
BYTE            DelSigPlus_AtoD2cr2;
#pragma ioport  DelSigPlus_AtoD2cr3:    0x097              //Analog block 2 control register 3
BYTE            DelSigPlus_AtoD2cr3;

#endif
// end of file DelSigPlus.h
