//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------
#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include<stdlib.h>
//#include <stdio.h>
#define SCALE_FACTOR 819 // 0.001220703125	//This is the scale factor used in the Analog to Digital conversion
									//(scale factor=(RefHIGH-RefLOW)/2^resolution)
#define FIFOLENGTH 127
#define VOLTS_TO_MILLIVOLTS 1000
//Variable to hold the result of AD conversion
int result;

//variable to hold the calculated value of input voltage
long int voltage;

//This pointer variable is the flag to indicate out of range input to ftoa() function
char status[];
int ADC[FIFOLENGTH];
unsigned int currentsample;

int threshold=781;
int count=0,count1=0;
int putptr;
int getptr;
long int sum=0;
void update_measurement(void);

void main(void)
{
	//Enable Global interrupts
    M8C_EnableGInt;
		
	//Start PGA in high power mode
	PGA_Start(PGA_HIGHPOWER); 
		
	//Start DelSig in high power mode
	DelSigPlus_Start(DelSigPlus_HIGHPOWER);
	
	RefMux_Start(0x03);
	
	//Start LCD
	LCD_Start();
	
	//Run the ADC continuously
	DelSigPlus_StartAD();
	

	//Display the string "Input Voltage is" in LCD position Row 0 Column 0
	LCD_Position(0,0);
	LCD_PrCString("Average Voltage is");
			
	//Clear the display starting from Row 1 Column 0
	LCD_Position(1,0);
	LCD_PrCString("                         ");
	while(1)
	{
		 
		update_measurement();
		
	}
}

void update_measurement()
{
	if(putptr != getptr)
	{
		result=ADC[getptr];
		if (getptr == FIFOLENGTH-1)
		{
			getptr = 0;
		}
		else
		{
			getptr++;
		}
	
		currentsample=abs(result);
		count++;
		sum+=currentsample;
		if (count==threshold)
		{
			voltage = (long int) sum / (long int) threshold;
			voltage = voltage * VOLTS_TO_MILLIVOLTS;
			voltage = (long int) voltage/(long int)SCALE_FACTOR; 
			count=0;
			sum=0;
			LCD_Position(1,0);
			csprintf(status,"%4d", (int)voltage);
			LCD_PrString(status);
		}
		
			
	}
}

void ADC_Ready_ISR (void)
{
	
	ADC[putptr]=DelSigPlus_iGetData();
	if (putptr == FIFOLENGTH-1 )
	{
		putptr = 0;
	}
	else
	{
		putptr++;
	}
}






